#### D.15.6.5 laxfrX

Procedure from library `finitediff.lib` (see finitediff_lib).

Usage:
  laxfrX(U1,U2,var); U1, U2 are the names of occuring derivatives, var is a variable in the basering;

Return:
  type vector; gives a predefined approximation of the Lax-Friedrich-approximation for the derivation in one of the spatial variables as often used in literature;

Note:
  see also laxfrT, setinitials, scheme; Warning: laxfrX is not to be interchanged with laxfrT

Example:

    LIB "finitediff.lib";
    list D="Ux","Ut","U";
    list P="a";
    list V="t","x";
    setinitials(V,D,P);
    laxfrX(Ux,U,x);
    ==> [(2*dx)*x,0,-x^2+1]

User manual for Singular version 4.4.1, 2025, generated by texi2html.